SDL_UpdateNVTexture(3)

NAME
SDL_UpdateNVTexture - Update a rectangle within a planar NV12 or NV21 texture with new pixels.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_UpdateNVTexture(SDL_Texture *texture,
                     const SDL_Rect *rect,
                     const Uint8 *Yplane, int Ypitch,
                     const Uint8 *UVplane, int UVpitch);

DESCRIPTION
You can use SDL_UpdateTexture() as long as your pixel data is a contiguous block of NV12/21 planes in the proper order, but this function is available if your pixel data is not contiguous.

FUNCTION PARAMETERS

texture
    the texture to update.

rect
    a pointer to the rectangle of pixels to update, or NULL to update the entire texture.

Yplane
    the raw pixel data for the Y plane.

Ypitch
    the number of bytes between rows of pixel data for the Y plane.

UVplane
    the raw pixel data for the UV plane.

UVpitch
    the number of bytes between rows of pixel data for the UV plane.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_UpdateTexture(3), SDL_UpdateYUVTexture(3)